<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>Document</title>

      <!-- Bootstrap-->
      <link
         href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
         rel="stylesheet"
         integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65"
         crossorigin="anonymous" />

      <!-- external css -->
      <link rel="stylesheet" href="style.css" />

      <!-- fonts -->
      <link rel="preconnect" href="https://fonts.googleapis.com" />
      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
      <link
         href="https://fonts.googleapis.com/css2?family=Chivo+Mono:wght@300&family=Fira+Sans+Condensed:wght@500;800&family=Noto+Sans:wght@500&family=Roboto:wght@700&display=swap"
         rel="stylesheet" />
   </head>
   <body>
      <!-- Navbar Start -->
      <nav id="nav-bar" class="navbar navbar-expand-lg fixed-top mx-sm-5 mt-2">
         <div class="container-fluid">
            <a class="navbar-brand" href="#"
               ><img id="logo-nan" src="./images/nanlogoBrown.png" alt=""
            /></a>
            <button
               class="navbar-toggler"
               type="button"
               data-bs-toggle="offcanvas"
               data-bs-target="#offcanvasNavbar"
               aria-controls="offcanvasNavbar">
               <span class="navbar-toggler-icon"></span>
            </button>
            <div
               class="offcanvas offcanvas-end"
               tabindex="-1"
               id="offcanvasNavbar"
               aria-labelledby="offcanvasNavbarLabel">
               <div class="offcanvas-header">
                  <h5 class="offcanvas-title" id="offcanvasNavbarLabel">
                     Renan Rodriguez
                  </h5>
                  <button
                     type="button"
                     class="btn-close"
                     data-bs-dismiss="offcanvas"
                     aria-label="Close"></button>
               </div>
               <div class="offcanvas-body">
                  <ul
                     class="navbar-nav justify-content-between align-content-center flex-grow-1 pe-3">
                     <div class="d-lg-flex">
                        <li class="nav-item">
                           <a class="nav-link" aria-current="page" href="#"
                              >Home</a
                           >
                        </li>
                        <li class="nav-item">
                           <a class="nav-link" href="#about">About</a>
                        </li>
                        <li class="nav-item">
                           <a class="nav-link" href="#projects">Projects</a>
                        </li>
                        <li class="nav-item">
                           <a class="nav-link" href="#contact">Contact</a>
                        </li>
                     </div>
                     <div class="d-lg-flex justify-content-center d-none">
                        <li class="nav-item">
                           <a class="nav-link" href="#"
                              ><img
                                 class="icon-social"
                                 src="./icons/facebook.png"
                                 alt=""
                           /></a>
                        </li>
                        <li class="nav-item">
                           <a class="nav-link" href="#"
                              ><img
                                 class="icon-social"
                                 src="./icons/instagram.png"
                                 alt=""
                           /></a>
                        </li>
                        <li class="nav-item">
                           <a class="nav-link" href="#"
                              ><img
                                 class="icon-social"
                                 src="./icons/email.png"
                                 alt=""
                           /></a>
                        </li>
                        <li class="nav-item">
                           <a class="nav-link" href="#"
                              ><img
                                 class="icon-social"
                                 src="./icons/linkedin.png"
                                 alt=""
                           /></a>
                        </li>
                     </div>
                  </ul>
               </div>
            </div>
         </div>
      </nav>
      <!-- Navbar End -->

      <!-- Content Here Start-->

      <!-- Landing Page Start -->
      <div id="landing" class="min-vh-100 landing container-fluid">
         <div class="row">
            <div
               class="col-md-6 min-vh-100 d-flex flex-md-column justify-content-center align-items-center">
               <div class="info-message">
                  <h1>Hey!</h1>
                  <h1>I'm Renan</h1>
                  <h4>Aspiring Web Developer</h4>
                  <div class="d-flex flex-column mt-5 align-items-center">
                     <p>Learn together?</p>
                     <button class="send-button text-light">Message Me</button>
                  </div>
               </div>
            </div>
            <div
               class="col-md-6 min-vh-100 right-side d-md-flex justify-content-center d-none">
               <img
                  class="mt-auto"
                  id="nan-pic"
                  src="./images/nan-portfolio1.png"
                  alt="" />
            </div>
         </div>
      </div>
      <!-- Landing Page End -->

      <!-- Section 2 Start -->
      <div id="about" class="min-vh-100 section-2 container-fluid">
         <div class="row">
            <!-- Left -->
            <div
               class="col-md-6 d-md-flex mt-5 justify-content-center align-items-center">
               <img
                  id="nan-id"
                  class="rounded-circle"
                  src="./images/DSC_10191.jpg"
                  alt="" />
            </div>
            <!-- Right  -->
            <div class="col-md-6">
               <div class="d-md-flex flex-md-column">
                  <h3>Who I am?</h3>
                  <h4>
                     I am a 26-year old <strong> Career Shifter </strong> who is
                     currently taking risk to dive deeply on Web Development.
                  </h4>
               </div>
            </div>
         </div>
      </div>

      <!-- Section 2 End -->

      <div id="projects" class="min-vh-100 section-3"></div>
      <div id="contact" class="min-vh-100 section-4"></div>
      <!-- Content Here End-->

      <!-- Bootstrap -->
      <script
         src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"
         integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4"
         crossorigin="anonymous"></script>

      <!-- Navbar appear when scroll up -->
      <script>
         var prevScrollpos = window.pageYOffset;
         window.onscroll = function () {
            var currentScrollPos = window.pageYOffset;
            if (prevScrollpos > currentScrollPos) {
               document.getElementById("nav-bar").style.top = "0";
            } else {
               document.getElementById("nav-bar").style.top = "-90px";
            }
            prevScrollpos = currentScrollPos;
         };
      </script>
   </body>
</html>
